#include <bits/stdc++.h>
#define pb push_back
#define pf push_front
#define fi first
#define se second
#define maxn 200050

using namespace std;
typedef long long ll;

int n, k;
int a[maxn];

int main()
{
	ios::sync_with_stdio(0);
	cin.tie(0);
	cin >> n >> k;
	for(int i=0; i<n; i++){
        cin >> a[i];
	}
	a[n]=a[0];
	for(int i=0; i<n; i++){
        if(a[i]==k){
            cout << a[i+1] << "\n";
            break;
        }
	}
}